pcl::InvalidSACModelTypeException Class Reference

An exception that is thrown when a sample consensus model doesn't have the correct number of samples defined in model_types.h. More...

`#include <pcl/exceptions.h>`

Inheritance diagram for pcl::InvalidSACModelTypeException:

## Public Member Functions

| InvalidSACModelTypeException (const std::string &error_description, const char *file_name=nullptr, const char *function_name=nullptr, unsigned line_number=0)
Public Member Functions inherited from pcl::PCLException
| PCLException (const std::string &error_description, const char *file_name=nullptr, const char *function_name=nullptr, unsigned line_number=0)
const char * | getFileName () const throw ()
const char * | getFunctionName () const throw ()
unsigned | getLineNumber () const throw ()
const char * | detailedMessage () const throw ()

## Additional Inherited Members

Static Protected Member Functions inherited from pcl::PCLException
static std::string | createDetailedMessage (const std::string &error_description, const char *file_name, const char *function_name, unsigned line_number)
Protected Attributes inherited from pcl::PCLException
const char * | file_name_
const char * | function_name_
unsigned | line_number_

## Detailed Description

An exception that is thrown when a sample consensus model doesn't have the correct number of samples defined in model_types.h.

Definition at line 164 of file exceptions.h.

## Constructor & Destructor Documentation

## InvalidSACModelTypeException()

pcl::InvalidSACModelTypeException::InvalidSACModelTypeException | ( | const std::string & | error_description,
|  | const char * | file_name = `nullptr`,
|  | const char * | function_name = `nullptr`,
|  | unsigned | line_number = `0`
| ) |  |

inline

Definition at line 168 of file exceptions.h.

The documentation for this class was generated from the following file:

- pcl/exceptions.h